diff --git a/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/security/SecurityFilterAutoConfiguration.java b/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/security/SecurityFilterAutoConfiguration.java
index 6675118b595..e43ab071621 100644
--- a/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/security/SecurityFilterAutoConfiguration.java
+++ b/spring-boot-autoconfigure/src/main/java/org/springframework/boot/autoconfigure/security/SecurityFilterAutoConfiguration.java
@@ -42,6 +42,7 @@
  *
  * @author Rob Winch
  * @author Phillip Webb
+ * @author Andy Wilkinson
  * @since 1.3
  */
 @Configuration
@@ -66,6 +67,9 @@ public DelegatingFilterProxyRegistrationBean securityFilterChainRegistration(
 
 	private EnumSet<DispatcherType> getDispatcherTypes(
 			SecurityProperties securityProperties) {
+		if (securityProperties.getFilterDispatcherTypes() == null) {
+			return null;
+		}
 		Set<DispatcherType> dispatcherTypes = new HashSet<DispatcherType>();
 		for (String dispatcherType : securityProperties.getFilterDispatcherTypes()) {
 			dispatcherTypes.add(DispatcherType.valueOf(dispatcherType));
